commit:     93c84c844c18bffebfc7751628cfac0666f4429d
Author:     Tomáš Mózes <hydrapolic <AT> gmail <DOT> com>
AuthorDate: Fri Dec 24 06:34:35 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Dec 24 06:47:02 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=93c84c84

net-analyzer/linkchecker: bump to 10.1.0

Signed-off-by: Tomáš Mózes <hydrapolic <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-analyzer/linkchecker/Manifest                  |  1 +
 .../files/linkchecker-10.1.0-version.patch         | 32 ++++++++++++
 net-analyzer/linkchecker/linkchecker-10.1.0.ebuild | 60 ++++++++++++++++++++++
 3 files changed, 93 insertions(+)

diff --git a/net-analyzer/linkchecker/Manifest 
b/net-analyzer/linkchecker/Manifest
index 2e7f18ffea10..9e0c64f510b3 100644
--- a/net-analyzer/linkchecker/Manifest
+++ b/net-analyzer/linkchecker/Manifest
@@ -1,2 +1,3 @@
 DIST linkchecker-10.0.0_pre20200729.tar.gz 401694 BLAKE2B 
f1a0918c30b292e569fd3168eee152e63ba7266f0ef848a55601e0205d8b0521cb653db77c8dc7b5d1140b493c95e50d76acba44e961586159f2b691e6898353
 SHA512 
35c49ca5de06688667e39f4eb0d8a048e565fe460a4aff125a484e3966c62cbea95fd95154cb2b544c0f4987f66012793726cf890d604321ed83970654a318f6
 DIST linkchecker-10.0.1.tar.gz 512649 BLAKE2B 
f0373da6c1b4c18394500f32936065dca8b4a92532f5da6f15a4470c2e458df147009599939a41fc36f5ae4941c0fdd97aa9bf77a7237544f3df3bf5772ed884
 SHA512 
2d57092591187f62f7ae685b867ab02d08108ce3a687ea7da444e57cbe5e9f74220747beee322ccfec0ce4319c95cc37ba0908ba8fae6a8d88bdb0928d099099
+DIST linkchecker-10.1.0.tar.gz 521214 BLAKE2B 
767c1176751a2011e0e175eb7c9e7b3704bda0d469bad7b38ac1481db62b470fbb69a62bf11316699e15fd1ca822f801a1237c798754353aba5c559ccd9d3274
 SHA512 
a6ba57ef9c617ece2c53d54cf460571561bfa60831e038e31e520e7fbee789566616b6e5b0b98529376510ef4e228bebdb6e6e011fb986b74d837ebc69323085

diff --git a/net-analyzer/linkchecker/files/linkchecker-10.1.0-version.patch 
b/net-analyzer/linkchecker/files/linkchecker-10.1.0-version.patch
new file mode 100644
index 000000000000..f0132a8a8089
--- /dev/null
+++ b/net-analyzer/linkchecker/files/linkchecker-10.1.0-version.patch
@@ -0,0 +1,32 @@
+diff --git a/setup.py b/setup.py
+index c00bdc0..8493d09 100755
+--- a/setup.py
++++ b/setup.py
+@@ -56,6 +56,7 @@ else:
+ 
+ # the application name
+ AppName = "LinkChecker"
++AppVersion = "LINKCHECKER_VERSION"
+ Description = "check links in web documents or full websites"
+ 
+ RELEASE_DATE_FILE = "_release_date"
+@@ -340,10 +341,7 @@ if os.name == "posix":
+ 
+ setup(
+     name=AppName,
+-    use_scm_version={
+-        "local_scheme": "node-and-timestamp",
+-        "version_scheme": "post-release",
+-    },
++    version=AppVersion,
+     description=Description,
+     keywords="link,url,site,checking,crawling,verification,validation",
+     author=myname,
+@@ -383,7 +381,6 @@ setup(
+     options={},
+     # Requirements, usable with setuptools or the new Python packaging module.
+     python_requires=">= 3.6",
+-    setup_requires=["setuptools_scm"],
+     install_requires=[
+         "importlib_metadata;python_version<'3.8'",
+         "requests >= 2.4",

diff --git a/net-analyzer/linkchecker/linkchecker-10.1.0.ebuild 
b/net-analyzer/linkchecker/linkchecker-10.1.0.ebuild
new file mode 100644
index 000000000000..c839792807fa
--- /dev/null
+++ b/net-analyzer/linkchecker/linkchecker-10.1.0.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7..10} )
+PYTHON_REQ_USE="sqlite?"
+
+inherit bash-completion-r1 distutils-r1 optfeature
+
+DESCRIPTION="Check websites for broken links"
+HOMEPAGE="https://github.com/linkcheck/linkchecker";
+
+if [[ "${PV}" == "9999" ]]; then
+       EGIT_REPO_URI="https://github.com/linkcheck/linkchecker.git";
+       inherit git-r3
+else
+       
SRC_URI="https://github.com/linkchecker/linkchecker/archive/refs/tags/v${PV}.tar.gz
 -> ${P}.tar.gz"
+       KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="sqlite"
+# requires libs not present in portage yet
+RESTRICT="test"
+
+RDEPEND="
+       dev-python/beautifulsoup4[${PYTHON_USEDEP}]
+       dev-python/dnspython[${PYTHON_USEDEP}]
+       dev-python/pyxdg[${PYTHON_USEDEP}]
+       dev-python/requests[${PYTHON_USEDEP}]
+"
+
+PATCHES=(
+       "${FILESDIR}/${PN}-9.3-bash-completion.patch"
+       "${FILESDIR}/${PN}-10.1.0-version.patch"
+)
+
+DOCS=(
+       doc/changelog.txt
+       doc/upgrading.txt
+)
+
+python_prepare_all() {
+       distutils-r1_python_prepare_all
+       sed -e "s/LINKCHECKER_VERSION/${PV}/g" -i setup.py || die
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+       newbashcomp config/linkchecker-completion ${PN}
+}
+
+pkg_postinst() {
+       optfeature "bash-completion support" 
dev-python/argcomplete[${PYTHON_USEDEP}]
+       optfeature "Virus scanning" app-antivirus/clamav
+       optfeature "Geo IP support" dev-python/geoip-python[${PYTHON_USEDEP}]
+       optfeature "GNOME proxy settings support" 
dev-python/pygobject[${PYTHON_USEDEP}]
+}

Reply via email to